Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161240 - upgrade from fc3 to fc4 breaks suspend
Summary: upgrade from fc3 to fc4 breaks suspend
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 16:57 UTC by Nickolay V. Shmyrev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.23.18-17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 08:25:58 UTC


Attachments (Terms of Use)

Description Nickolay V. Shmyrev 2005-06-21 16:57:49 UTC
Description of problem:

Upgrade from fc3 for fc4 broke my suspend to ram.

Version-Release number of selected component (if applicable):


How reproducible:

In suspend-to-ram on my ibm r50e i use the following script:
------------------------------------------------------------

#!/bin/bash

/bin/sync

/sbin/rmmod uhci-hcd
/sbin/rmmod ehci-hcd

/usr/bin/chvt 1

#logger "s3test: saving video state and PCI config space."
cat /proc/bus/pci/00/02.0 > /var/cache/video.config

#logger "s3test: entering state"
echo -n mem > /sys/power/state
#logger "s3test: back from state"

#logger "s3test: restoring PCI config space and video state."
cat /var/cache/video.config > /proc/bus/pci/00/02.0

#logger "s3test: removing temporary files."
rm -rf /var/cache/video.config

/usr/bin/chvt 7

/sbin/modprobe uhci-hcd
/sbin/modprobe ehci-hcd

#logger "s3test: success!"

----------------------------------------------------------
Jun 21 20:14:19 gnome kernel: audit(1119370459.196:171): avc:  denied  { write }
for  pid=3840 comm="sleep.sh" name=cache dev=hda3 ino=753688
scontext=system_u:system_r:apmd_t tcontext=system_u:object_r:var_t tclass=dir

...............................

Jun 21 20:14:27 gnome kernel: audit(1119370467.739:172): avc:  denied  { read }
for  pid=3913 comm="sh" name=pppoe dev=hda3 ino=845226
scontext=system_u:system_r:pppd_t tcontext=system_u:object_r:sbin_t tclass=lnk_file
Jun 21 20:14:27 gnome kernel: audit(1119370467.739:173): avc:  denied  { read }
for  pid=3913 comm="sh" name=pppoe dev=hda3 ino=845226
scontext=system_u:system_r:pppd_t tcontext=system_u:object_r:sbin_t tclass=lnk_file
Jun 21 20:14:27 gnome kernel: audit(1119370467.741:174): avc:  denied  { read }
for  pid=3913 comm="sh" name=pppoe dev=hda3 ino=845226
scontext=system_u:system_r:pppd_t tcontext=system_u:object_r:sbin_t tclass=lnk_file
Jun 21 20:14:28 gnome kernel: audit(1119370467.748:175): avc:  denied  { write }
for  pid=3916 comm="sleep.sh" name=02.0 dev=proc ino=-268435152
scontext=system_u:system_r:apmd_t tcontext=system_u:object_r:proc_t tclass=file
Jun 21 20:14:28 gnome kernel: audit(1119370467.748:176): avc:  denied  { write }
for  pid=3916 comm="sleep.sh" name=02.0 dev=proc ino=-268435152
scontext=system_u:system_r:apmd_t tcontext=system_u:object_r:proc_t tclass=file

Syslog contains messages:




Expected results:

Working suspend-to-ram

Additional info:

Of course, pppd and ifconfig was also broken, but this is another bug :)

Comment 1 Daniel Walsh 2005-06-26 11:43:16 UTC
Fixed iselinux-policy-targeted-1.23.18-17 


Note You need to log in before you can comment on or make changes to this bug.